Bug 214909 - [PATCH] devel/arduino-core: Update to 1.6.13 w/ some cleanup
Summary: [PATCH] devel/arduino-core: Update to 1.6.13 w/ some cleanup
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-11-28 16:56 UTC by Kyle Evans
Modified: 2016-12-26 03:16 UTC (History)
1 user (show)

See Also:
bsam: maintainer-feedback+


Attachments
svn(1) diff of devel/arduino-core (7.89 KB, patch)
2016-11-28 16:56 UTC, Kyle Evans
kevans: maintainer-approval+
Details | Diff
svn(1) diff of devel/arduino-core (8.10 KB, patch)
2016-11-28 18:51 UTC, Kyle Evans
kevans: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle Evans freebsd_committer 2016-11-28 16:56:38 UTC
Created attachment 177488 [details]
svn(1) diff of devel/arduino-core

Cleanup entails:

* Set DIST_SUBDIR to avoid distfile duplication with devel/arduino16
* Stop clobbering ARCH (See: PR 214776)

An update to devel/arduino16 to 1.6.13 will follow. Tested w/ Poudriere and built a couple sketches I have laying around to make sure everything is happy.
Comment 1 Kyle Evans freebsd_committer 2016-11-28 18:51:20 UTC
Created attachment 177490 [details]
svn(1) diff of devel/arduino-core

Additional cleanup:

* If in `make makesum`, enable all of the options so that optional distfiles get fetched. I've modeled this after devel/android-tools-fastboot, because that seems like the cleanest way to catch all cases of optional distfiles. Many others were modifying DISTFILES directly, and that doesn't seem appealing.
Comment 2 Boris Samorodov freebsd_committer 2016-12-18 21:00:15 UTC
Take.
Comment 3 commit-hook freebsd_committer 2016-12-25 22:26:02 UTC
A commit references this bug:

Author: bsam
Date: Sun Dec 25 22:25:49 UTC 2016
New revision: 429467
URL: https://svnweb.freebsd.org/changeset/ports/429467

Log:
  devel/arduino-core: Update to 1.6.13 with some cleanup.

  PR:		214909
  Submitted by:	Kyle Evance <bsdports@kyle-evans.net> (maintainer)

Changes:
  head/devel/arduino-core/Makefile
  head/devel/arduino-core/distinfo
  head/devel/arduino-core/files/patch-hardware_package__index__bundled.json
Comment 4 Boris Samorodov freebsd_committer 2016-12-25 22:27:38 UTC
Committed, thanks!
Comment 5 Kyle Evans freebsd_committer 2016-12-26 03:16:24 UTC
(In reply to Boris Samorodov from comment #4)

Hi,

Thanks! =) The itoa patches should also go away, though -- I did manage to get those upstreamed.